> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une synchronisation de catalogue



## OpenAPI

````yaml /fr/api-reference/catalogs-v1.json get /v1/locations/{location_id}/catalogs/{catalog_id}/syncs/{sync_id}
openapi: 3.0.0
info:
  title: API Catalogues Chataigne
  description: >-
    Synchronisez des catalogues complets ou modifiez des ressources
    individuellement.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://server.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}/catalogs/{catalog_id}/syncs/{sync_id}:
    get:
      tags:
        - Catalogues
      summary: Récupérer une synchronisation de catalogue
      operationId: CatalogsV1Controller_retrieveSync
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_r8v4n2c6tz
        - name: catalog_id
          in: path
          required: true
          schema:
            type: string
          example: delivery-menu
        - name: sync_id
          in: path
          required: true
          schema:
            type: string
          example: csync_123
      responses:
        '200':
          description: La synchronisation du catalogue.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogSync'
        '401':
          description: Authentification requise.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: >-
            L’identité authentifiée n’est pas autorisée à effectuer cette
            requête.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: La ressource n’existe pas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    CatalogSync:
      type: object
      required:
        - id
        - object
        - catalog_id
        - status
        - created_at
        - updated_at
        - completed_at
        - error
      properties:
        id:
          type: string
          example: csync_123
        object:
          type: string
          enum:
            - catalog_sync
        catalog_id:
          type: string
          example: delivery-menu
        status:
          type: string
          enum:
            - queued
            - processing
            - succeeded
            - failed
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
          nullable: true
        error:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Clé API d’établissement ou d’organisation.

````